import { Inter } from "next/font/google";
import './global.css';
import Script from 'next/script'; // Import Script component

export const metadata = {
  title: "SitePal NextJS Example",
  description: "Generated by create next app",
};

export default function RootLayout({ children }) {
  return (
    <html lang="en">
      <head>
        <meta name="Description"
          content="Add SitePal's animated talking characters to your website. Communicate with impact and improve business results. Create 3D animated talking avatars from photos. Get a free trial." />
        <meta name="keywords"
          content="Audio Video for Website, Create 3D Avatar, Speaking Characters, Talking Avatars, Talking Characters for Business, Video for Website, Photoface, Animation for Business Tutorials" />
        <meta httpEquiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <link rel="stylesheet" type="text/css" href="https://www.sitepal.com/api/examples/css/apiExample.css" />
        <link rel="stylesheet" type="text/css" href="https://www.sitepal.com/api/examples/css/apiExample.css" />
        <meta charSet="utf-8" />
        <meta name="theme-color" content="#000000" />

      </head>
      <body >
        {children}

        <Script src="custom.js" strategy="afterInteractive" />
      </body>
    </html>
  );
}
